package com.ruoyi.project.ehs.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * KPI统计及格对象 t_ehskpinew
 *
 * @author ruoyi
 * @date 2020-12-01
 */
public class TEhskpinew extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 装置 */
    @Excel(name = "装置", dictType = "PLANTS_DIVIDE")
    private String plants;

    /** 签发时间 */
    @Excel(name = "年份")
    private Long year;

    /** kpi名称 */
    @Excel(name = "KPI名称", dictType = "KPI_ZHCN_NAME")
    private String kpiname;

    /** kpi英文名 */
    @Excel(name = "KPI英文名", dictType = "KPI_ENUS_NAME")
    private String kpinameen;

    /** 第一季度 */
    @Excel(name = "第一季度")
    private Double spring;

    /** 第二季度 */
    @Excel(name = "第二季度")
    private Double summer;

    /** 第三季度 */
    @Excel(name = "第三季度")
    private Double autumn;

    /** 第四季度 */
    @Excel(name = "第四季度")
    private Double winter;

    /** 全年 */
    @Excel(name = "全年")
    private Double annual;

    /** 删除标识 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建时间 */
    private Date createdate;

    /** 更新人 */
    private String updaterCode;

    /** 更新时间 */
    private Date updatedate;

    /** 部门 */
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 第一季度状态 */
    private String firstquarterStatus;

    /** 第二季度状态 */
    private String secondquarterStatus;

    /** 第三季度状态 */
    private String threequarterStatus;

    /** 第四季度状态 */
    private String fourquarterStatus;

    /** 全年状态 */
    private String annualStatus;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlants(String plants)
    {
        this.plants = plants;
    }

    public String getPlants()
    {
        return plants;
    }
    public void setYear(Long year)
    {
        this.year = year;
    }

    public Long getYear()
    {
        return year;
    }
    public void setKpiname(String kpiname)
    {
        this.kpiname = kpiname;
    }

    public String getKpiname()
    {
        return kpiname;
    }
    public void setKpinameen(String kpinameen)
    {
        this.kpinameen = kpinameen;
    }

    public String getKpinameen()
    {
        return kpinameen;
    }

    public Double getSpring() {
        return spring;
    }

    public void setSpring(Double spring) {
        this.spring = spring;
    }

    public Double getSummer() {
        return summer;
    }

    public void setSummer(Double summer) {
        this.summer = summer;
    }

    public Double getAutumn() {
        return autumn;
    }

    public void setAutumn(Double autumn) {
        this.autumn = autumn;
    }

    public Double getWinter() {
        return winter;
    }

    public void setWinter(Double winter) {
        this.winter = winter;
    }

    public void setAnnual(Double annual)
    {
        this.annual = annual;
    }

    public Double getAnnual()
    {
        return annual;
    }

    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public void setFirstquarterStatus(String firstquarterStatus) { this.firstquarterStatus = firstquarterStatus; }

    public String getFirstquarterStatus() { return firstquarterStatus; }
    public void setSecondquarterStatus(String secondquarterStatus) { this.secondquarterStatus = secondquarterStatus; }

    public String getSecondquarterStatus() { return secondquarterStatus; }
    public void setThreequarterStatus(String threequarterStatus) { this.threequarterStatus = threequarterStatus; }

    public String getThreequarterStatus() { return threequarterStatus; }
    public void setFourquarterStatus(String fourquarterStatus) { this.fourquarterStatus = fourquarterStatus; }

    public String getFourquarterStatus() { return fourquarterStatus; }
    public void setAnnualStatus(String annualStatus) { this.annualStatus = annualStatus; }

    public String getAnnualStatus() { return annualStatus; }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plants", getPlants())
            .append("year", getYear())
            .append("kpiname", getKpiname())
            .append("kpinameen", getKpinameen())
            .append("spring", getSpring())
            .append("summer", getSummer())
            .append("autumn", getAutumn())
            .append("winter", getWinter())
            .append("annual", getAnnual())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .append("firstquarterStatus", getFirstquarterStatus())
            .append("secondquarterStatus", getSecondquarterStatus())
            .append("threequarterStatus", getThreequarterStatus())
            .append("fourquarterStatus", getFourquarterStatus())
            .append("annualStatus", getAnnualStatus())
            .toString();
    }
}
